Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class MoneyUtils

    java.lang.Object
      com.ejie.r01f.util.MoneyUtils

public class MoneyUtils
extends java.lang.Object

Formatea numeros que expresan dinero

Constructor Summary
`MoneyUtils()`

Method Summary
`static java.lang.String` | `format(double cantidad)` Formatea una cantidad de dinero
`static java.lang.String` | `format(long centeuros)` Formatea una cantidad de dinero que viene expresada en centeuros
`static long` | `getCenteuros(double cantidad)` Obtiene una cantidad de dinero en forma de centeuros
`static long` | `getCenteuros(java.lang.String dblCantidad)`
`static double` | `getDoubleFromCenteuros(long centeuros)` Obtiene una cantidad de dinero en forma de double a partir de los centeuros
`static double` | `getDoubleFromCenteuros(java.lang.String centeuros)`
`static void` | `main(java.lang.String[] argv)` Metodo main (para probar el temilla...)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MoneyUtils

    public MoneyUtils()

Method Detail

### getCenteuros

    public static long getCenteuros(double cantidad)

  Obtiene una cantidad de dinero en forma de centeuros

### getCenteuros

    public static long getCenteuros(java.lang.String dblCantidad)

### format

    public static java.lang.String format(double cantidad)

  Formatea una cantidad de dinero

### format

    public static java.lang.String format(long centeuros)

  Formatea una cantidad de dinero que viene expresada en centeuros

### getDoubleFromCenteuros

    public static double getDoubleFromCenteuros(long centeuros)

  Obtiene una cantidad de dinero en forma de double a partir de los centeuros

### getDoubleFromCenteuros

    public static double getDoubleFromCenteuros(java.lang.String centeuros)

### main

    public static void main(java.lang.String[] argv)

  Metodo main (para probar el temilla...)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD